<?php

/**
 *  @file
 *  Menu definition for the Game Calendar module.
 */

/**
 *  Helper function for game_calendar_menu().
 */
function _game_calendar_menu() {
  $items = array(
    'admin/settings/game_calendar' => array(
      'title' => 'Game calendars',
      'description' => 'Administer the game calendars.',
      'page callback' => 'game_calendar_list_page',
      'access arguments' => array('administer game calendar'),
      'file' => 'includes/game_calendar.admin.inc',
    ),
    'admin/settings/game_calendar/list' => array(
      'title' => 'List',
      'description' => 'List the game calendars.',
      'page callback' => 'game_calendar_list_page',
      'access arguments' => array('administer game calendar'),
      'file' => 'includes/game_calendar.admin.inc',
      'type' => MENU_DEFAULT_LOCAL_TASK,
    ),
    'admin/settings/game_calendar/add' => array(
      'title' => 'Add',
      'description' => 'Add a new game calendar.',
      'page callback' => 'drupal_get_form',
      'page arguments' => array('game_calendar_form'),
      'access arguments' => array('administer game calendar'),
      'file' => 'includes/game_calendar.admin.inc',
      'type' => MENU_LOCAL_TASK,
      'weight' => 1,
    ),
    'admin/settings/game_calendar/settings' => array(
      'title' => 'Settings',
      'description' => 'Configure the game calendars global settings.',
      'page callback' => 'drupal_get_form',
      'page arguments' => array('game_calendar_settings'),
      'access arguments' => array('administer game calendar'),
      'file' => 'includes/game_calendar.admin.inc',
      'type' => MENU_LOCAL_TASK,
      'weight' => 3,
    ),
    'admin/settings/game_calendar/%game_calendar' => array(
      'title' => 'Edit',
      'page callback' => 'game_calendar_edit_page',
      'page arguments' => array(3),
      'description' => 'Edit a game calendar.',
      'access arguments' => array('administer game calendar'),
      'file' => 'includes/game_calendar.admin.inc',
      'type' => MENU_CALLBACK,
    ),
    'admin/settings/game_calendar/%game_calendar/edit' => array(
      'title' => 'Edit',
      'page callback' => 'game_calendar_edit_page',
      'page arguments' => array(3),
      'description' => 'Edit a game calendar.',
      'access arguments' => array('administer game calendar'),
      'file' => 'includes/game_calendar.admin.inc',
      'type' => MENU_DEFAULT_LOCAL_TASK,
      'weight' => -9,
    ),
    'admin/settings/game_calendar/%game_calendar/delete' => array(
      'title' => 'Delete',
      'page callback' => 'drupal_get_form',
      'page arguments' => array('game_calendar_delete_form', 3),
      'description' => 'Delete a game calendar.',
      'access arguments' => array('administer game calendar'),
      'file' => 'includes/game_calendar.admin.inc',
      'type' => MENU_LOCAL_TASK,
      'weight' => -1,
    ),
  );
  return $items;
}
